config/routes.rb
Rails.application.routes.draw do
  root "dashboard#index"
  resources :basic_informations
  resources :infrastructures
  
  devise_for :users, controllers: {
    sessions: 'users/sessions',
    passwords: 'users/passwords',
    registrations: 'users/registrations'
  }
end

app/models/basic_information.rb
class BasicInformation < ApplicationRecord
end

app/controllers/basic_informations_controller.rb
class BasicInformationsController < ApplicationController
  before_action :set_basic_information, only: %i[ show edit update destroy ]

  def index
    @basic_informations = BasicInformation.all.order(created_at: :desc)
  end

  def show
  end

  def new
    @basic_information = BasicInformation.new
  end

  def edit
  end

  def create
    @basic_information = BasicInformation.new(basic_information_params)
    @basic_information.user_id = current_user.id
    respond_to do |format|
      if @basic_information.save
        format.html { redirect_to basic_informations_url, notice: "Basic information was successfully created." }
        format.json { render :show, status: :created, location: @basic_information }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @basic_information.errors, status: :unprocessable_entity }
      end
    end
  end

  def update
    respond_to do |format|
      if @basic_information.update(basic_information_params)
        format.html { redirect_to basic_informations_url, notice: "Basic information was successfully updated." }
        format.json { render :show, status: :ok, location: @basic_information }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @basic_information.errors, status: :unprocessable_entity }
      end
    end
  end

  def destroy
    @basic_information.destroy
    respond_to do |format|
      format.html { redirect_to basic_informations_url, notice: "Basic information was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_basic_information
      @basic_information = BasicInformation.find_by(id: params[:id])
    end

    def basic_information_params
      params.require(:basic_information).permit(:university_name, :date_of_establishment, :date_of_operationalize, :grade, :valid_upto, :nirf_rank, :jurisdiction, :taluk, :no_of_affiliated_colleges, :no_of_program_offered_ug, :no_of_program_offered_pg, :no_of_program_offered_phd, :no_of_students_ug, :no_of_students_pg, :no_of_students_phd)
    end
end

app/helpers/basic_informations_helper.rb
module BasicInformationsHelper
end

app/views/basic_informations/_form.html.erb
<%= simple_form_for(@basic_information) do |f| %>
  <%= f.error_notification %>

  <div class="form-inputs">
    <div class="row">
      <%= f.input :university_name %>
      <div class="col-md-6">
        <%= f.input :date_of_establishment %>
        <%= f.input :grade %>
        <%= f.input :nirf_rank %>
        <%= f.input :taluk %>
        <%= f.input :no_of_program_offered_ug %>
        <%= f.input :no_of_program_offered_phd %>
        <%= f.input :no_of_students_pg %>
      </div>
      <div class="col-md-6">
        <%= f.input :date_of_operationalize %>
        <%= f.input :valid_upto %>
        <%= f.input :jurisdiction %>
        <%= f.input :no_of_affiliated_colleges %>
        <%= f.input :no_of_program_offered_pg %>
        <%= f.input :no_of_students_ug %>
        <%= f.input :no_of_students_phd %>
      </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="form-actions">
      <%= link_to "Back", basic_informations_path, class: "btn btn-primary btn-sm btn-blue" %>
      <%= f.button :submit, class: "btn btn-primary btn-sm btn-blue" %>
    </div>
  </div>
<% end %>

app/views/basic_informations/edit.html.erb
<h4 class="mb-3 mt-3">Editing basic information</h4>
<%= render "form", basic_information: @basic_information %>

app/views/basic_informations/index.html.erb
<h4 class="mb-3 mt-3">Basic Information List</h4>
<%= link_to "Add basic information", new_basic_information_path, class: "btn btn-primary btn-sm btn-blue" %>
<br>
<br>
<div class="table-responsive">
  <table class="table table-bordered">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Establishment Date</th>
        <th scope="col">Operationalize Date</th>
        <th scope="col">Grade</th>
        <th scope="col">Valid Upto</th>
        <th scope="col">NIRF Rank</th>
        <th scope="col">Jurisdiction</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @basic_informations.each do |basic_information| %>
        <tr>
          <td><%= basic_information.university_name %></td>
          <td><%= basic_information.date_of_establishment %></td>
          <td><%= basic_information.date_of_operationalize %></td>
          <td><%= basic_information.grade %></td>
          <td><%= basic_information.valid_upto %></td>
          <td><%= basic_information.nirf_rank %></td>
          <td><%= basic_information.jurisdiction %></td>
          <td>
            <%= link_to "Edit", edit_basic_information_path(basic_information), class: "btn btn-primary btn-sm btn-blue" %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>

app/views/basic_informations/new.html.erb
<h4 class="mb-3 mt-3">New basic information</h4>
<%= render "form", basic_information: @basic_information %>

app/views/basic_informations/show.html.erb
<p style="color: green"><%= notice %></p>

<%= render @basic_information %>

<div>
  <%= link_to "Edit this basic information", edit_basic_information_path(@basic_information) %> |
  <%= link_to "Back to basic information", basic_informations_path %>

  <%= button_to "Destroy this basic information", @basic_information, method: :delete %>
</div>